
/*!
     ██╗ ██████╗ ████████╗████████╗███████╗██████╗ ██████╗  ██████╗ ██████╗
     ██║██╔═══██╗╚══██╔══╝╚══██╔══╝██╔════╝██╔══██╗██╔══██╗██╔═══██╗██╔══██╗
     ██║██║   ██║   ██║      ██║   █████╗  ██████╔╝██████╔╝██║   ██║██║  ██║
██   ██║██║   ██║   ██║      ██║   ██╔══╝  ██╔══██╗██╔═══╝ ██║   ██║██║  ██║
╚█████╔╝╚██████╔╝   ██║      ██║   ███████╗██║  ██║██║     ╚██████╔╝██████╔╝
 ╚════╝  ╚═════╝    ╚═╝      ╚═╝   ╚══════╝╚═╝  ╚═╝╚═╝      ╚═════╝ ╚═════╝

* Copyright © 2024 Two App Studio Pte. Ltd. - ALL RIGHTS RESERVED
* Unauthorized copying of this file, via any medium is strictly prohibited
* https://2appstudio.com
*
* JotterPod Version: 3.0.12
* Built on: Mon Jan 22 2024 16:17:15 GMT+0800 (GMT+08:00)
*/
/* */
  
!function(){function e(e,t,n){return t in e?Object.defineProperty(e,t,{value:n,enumerable:!0,configurable:!0,writable:!0}):e[t]=n,e}System.register([],(function(t){"use strict";return{execute:function(){var n;function i(e,t){return t.forEach((function(t){t&&"string"!=typeof t&&!Array.isArray(t)&&Object.keys(t).forEach((function(n){if("default"!==n&&!(n in e)){var i=Object.getOwnPropertyDescriptor(t,n);Object.defineProperty(e,n,i.get?i:{enumerable:!0,get:function(){return t[n]}})}}))})),Object.freeze(e)}var o,r={exports:{}};o=r,ace.define("ace/mode/pascal_highlight_rules",["require","exports","module","ace/lib/oop","ace/mode/text_highlight_rules"],(function(e,t,n){var i=e("../lib/oop"),o=e("./text_highlight_rules").TextHighlightRules,r=function(){var e=this.createKeywordMapper({"keyword.control":"absolute|abstract|all|and|and_then|array|as|asm|attribute|begin|bindable|case|class|const|constructor|destructor|div|do|do|else|end|except|export|exports|external|far|file|finalization|finally|for|forward|goto|if|implementation|import|in|inherited|initialization|interface|interrupt|is|label|library|mod|module|name|near|nil|not|object|of|only|operator|or|or_else|otherwise|packed|pow|private|program|property|protected|public|published|qualified|record|repeat|resident|restricted|segment|set|shl|shr|then|to|try|type|unit|until|uses|value|var|view|virtual|while|with|xor"},"identifier",!0);this.$rules={start:[{caseInsensitive:!0,token:["variable","text","storage.type.prototype","entity.name.function.prototype"],regex:"\\b(function|procedure)(\\s+)(\\w+)(\\.\\w+)?(?=(?:\\(.*?\\))?;\\s*(?:attribute|forward|external))"},{caseInsensitive:!0,token:["variable","text","storage.type.function","entity.name.function"],regex:"\\b(function|procedure)(\\s+)(\\w+)(\\.\\w+)?"},{caseInsensitive:!0,token:e,regex:/\b[a-z_]+\b/},{token:"constant.numeric",regex:"\\b((0(x|X)[0-9a-fA-F]*)|(([0-9]+\\.?[0-9]*)|(\\.[0-9]+))((e|E)(\\+|-)?[0-9]+)?)(L|l|UL|ul|u|U|F|f|ll|LL|ull|ULL)?\\b"},{token:"punctuation.definition.comment",regex:"--.*$"},{token:"punctuation.definition.comment",regex:"//.*$"},{token:"punctuation.definition.comment",regex:"\\(\\*",push:[{token:"punctuation.definition.comment",regex:"\\*\\)",next:"pop"},{defaultToken:"comment.block.one"}]},{token:"punctuation.definition.comment",regex:"\\{",push:[{token:"punctuation.definition.comment",regex:"\\}",next:"pop"},{defaultToken:"comment.block.two"}]},{token:"punctuation.definition.string.begin",regex:'"',push:[{token:"constant.character.escape",regex:"\\\\."},{token:"punctuation.definition.string.end",regex:'"',next:"pop"},{defaultToken:"string.quoted.double"}]},{token:"punctuation.definition.string.begin",regex:"'",push:[{token:"constant.character.escape.apostrophe",regex:"''"},{token:"punctuation.definition.string.end",regex:"'",next:"pop"},{defaultToken:"string.quoted.single"}]},{token:"keyword.operator",regex:"[+\\-;,/*%]|:=|="}]},this.normalizeRules()};i.inherits(r,o),t.PascalHighlightRules=r})),ace.define("ace/mode/folding/coffee",["require","exports","module","ace/lib/oop","ace/mode/folding/fold_mode","ace/range"],(function(e,t,n){var i=e("../../lib/oop"),o=e("./fold_mode").FoldMode,r=e("../../range").Range,a=t.FoldMode=function(){};i.inherits(a,o),function(){this.getFoldWidgetRange=function(e,t,n){var i=this.indentationBlock(e,n);if(i)return i;var o=/\S/,a=e.getLine(n),c=a.search(o);if(-1!=c&&"#"==a[c]){for(var s=a.length,l=e.getLength(),u=n,d=n;++n<l;){var f=(a=e.getLine(n)).search(o);if(-1!=f){if("#"!=a[f])break;d=n}}if(d>u){var g=e.getLine(d).length;return new r(u,s,d,g)}}},this.getFoldWidget=function(e,t,n){var i=e.getLine(n),o=i.search(/\S/),r=e.getLine(n+1),a=e.getLine(n-1),c=a.search(/\S/),s=r.search(/\S/);if(-1==o)return e.foldWidgets[n-1]=-1!=c&&c<s?"start":"","";if(-1==c){if(o==s&&"#"==i[o]&&"#"==r[o])return e.foldWidgets[n-1]="",e.foldWidgets[n+1]="","start"}else if(c==o&&"#"==i[o]&&"#"==a[o]&&-1==e.getLine(n-2).search(/\S/))return e.foldWidgets[n-1]="start",e.foldWidgets[n+1]="","";return e.foldWidgets[n-1]=-1!=c&&c<o?"start":"",o<s?"start":""}}.call(a.prototype)})),ace.define("ace/mode/pascal",["require","exports","module","ace/lib/oop","ace/mode/text","ace/mode/pascal_highlight_rules","ace/mode/folding/coffee"],(function(e,t,n){var i=e("../lib/oop"),o=e("./text").Mode,r=e("./pascal_highlight_rules").PascalHighlightRules,a=e("./folding/coffee").FoldMode,c=function(){this.HighlightRules=r,this.foldingRules=new a,this.$behaviour=this.$defaultBehaviour};i.inherits(c,o),function(){this.lineCommentStart=["--","//"],this.blockComment=[{start:"(*",end:"*)"},{start:"{",end:"}"}],this.$id="ace/mode/pascal"}.call(c.prototype),t.Mode=c})),ace.require(["ace/mode/pascal"],(function(e){o&&(o.exports=e)}));var a=r.exports,c=Object.freeze(i((e(n={__proto__:null},Symbol.toStringTag,"Module"),e(n,"default",a),n),[r.exports]));t("m",c)}}}))}();
